Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_SSLIOP_Credentials_out Class Reference

`#include <SSLIOP_Credentials.h>`

Collaboration diagram for TAO_SSLIOP_Credentials_out:

[legend]
List of all members.

## Public Methods
| TAO_SSLIOP_Credentials_out (TAO_SSLIOP_Credentials_ptr &)
| TAO_SSLIOP_Credentials_out (TAO_SSLIOP_Credentials_var &)
| TAO_SSLIOP_Credentials_out (const TAO_SSLIOP_Credentials_out &)
TAO_SSLIOP_Credentials_out & | operator= (const TAO_SSLIOP_Credentials_out &)
TAO_SSLIOP_Credentials_out & | operator= (const TAO_SSLIOP_Credentials_var &)
TAO_SSLIOP_Credentials_out & | operator= (TAO_SSLIOP_Credentials_ptr)
| operator TAO_SSLIOP_Credentials_ptr & ()
TAO_SSLIOP_Credentials_ptr & | ptr (void)
TAO_SSLIOP_Credentials_ptr | operator-> (void)
## Private Attributes
TAO_SSLIOP_Credentials_ptr & | ptr_

## Constructor & Destructor Documentation

TAO_SSLIOP_Credentials_out::TAO_SSLIOP_Credentials_out | ( | TAO_SSLIOP_Credentials_ptr & |  | ) |

TAO_SSLIOP_Credentials_out::TAO_SSLIOP_Credentials_out | ( | TAO_SSLIOP_Credentials_var & |  | ) |

TAO_SSLIOP_Credentials_out::TAO_SSLIOP_Credentials_out | ( | const TAO_SSLIOP_Credentials_out & |  | ) |

## Member Function Documentation

TAO_SSLIOP_Credentials_out::operator TAO_SSLIOP_Credentials_ptr & | ( |  | ) |

TAO_SSLIOP_Credentials_ptr TAO_SSLIOP_Credentials_out::operator-> | ( | void |  | ) |

TAO_SSLIOP_Credentials_out & TAO_SSLIOP_Credentials_out::operator= | ( | TAO_SSLIOP_Credentials_ptr |  | ) |

TAO_SSLIOP_Credentials_out& TAO_SSLIOP_Credentials_out::operator= | ( | const TAO_SSLIOP_Credentials_var & |  | ) |

TAO_SSLIOP_Credentials_out& TAO_SSLIOP_Credentials_out::operator= | ( | const TAO_SSLIOP_Credentials_out & |  | ) |

TAO_SSLIOP_Credentials_ptr & TAO_SSLIOP_Credentials_out::ptr | ( | void |  | ) |

## Member Data Documentation

TAO_SSLIOP_Credentials_ptr& TAO_SSLIOP_Credentials_out::ptr_`[private]`

The documentation for this class was generated from the following files:

- SSLIOP_Credentials.h
- SSLIOP_Credentials.cpp